コミュニティ

コミュニティのメンバーを取得

GET /v1/communities/{community_id}/members reads 2 クレジット

コミュニティのメンバー。管理者とモデレーターが先頭で、それぞれ role を伴います。

クエリパラメータ

クエリパラメータ型意味
countint 1–100 = 50要求するページサイズ。X はヒントとして扱います
cursorstring前のページの next_cursor から。デコードできないカーソルは 400 です

レスポンス

コミュニティ ID、識別情報・アバター・バッジ・role を持つユーザーレコードの 1 ページ (自己紹介と各種カウントはここでは得られません)、次ページ用のカーソル (終端では null)。

ステータス: 200, 400, 404, 422, 429, 502

リクエスト
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/members?count=50 \
  -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 400
{
  "community_id": "1493446837214187523",
  "users": [
    {
      "id": "641633",
      "screen_name": "marckohlbrugge",
      "name": "Marc Köhlbrugge",
      "bio": "",
      "avatar": "https://pbs.twimg.com/profile_images/1857124042433572864/…_normal.jpg",
      "banner": null,
      "followers": null,
      "following": null,
      "tweets": null,
      "location": "",
      "url": null,
      "verified": true,
      "verified_type": "blue",
      "protected": false,
      "created_at": null,
      "category": null,
      "role": "Admin"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "CycRAAAAAAwABAwKmwzBVQo+vQAAAABEb5BTCm07AAABfwdrA/gADJorCj69f…"
}